Skip to main content
POST
/
webhooks
/
deliveries
/
{id}
/
retry
Retry a failed delivery
curl --request POST \
  --url https://api.conduit.financial/v2/webhooks/deliveries/{id}/retry \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "endpointId": "<string>",
  "eventType": "customer.created",
  "payload": {
    "id": "evt_2xKjF9mQb7vN4hL1pR3w8t",
    "type": "customer.created",
    "createdAt": "2026-01-15T09:30:00.000Z",
    "apiVersion": "2",
    "data": {}
  },
  "status": "succeeded",
  "attempts": 1,
  "maxAttempts": 5,
  "createdAt": "2026-01-15T09:30:00.000Z",
  "updatedAt": "2026-01-15T09:30:00.000Z",
  "completedAt": "2026-01-15T09:30:00.000Z"
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Response

id
string
required

Unique webhook delivery identifier

Pattern: ^wdl_[0-9A-Za-z]{22}$
endpointId
string
required

The endpoint this delivery is targeted at

Pattern: ^wep_[0-9A-Za-z]{22}$
eventType
string
required

Event type that triggered this delivery

Example:

"customer.created"

payload
object
required

The webhook event payload

status
enum<string>
required

Current delivery status

Available options:
pending,
processing,
succeeded,
failed
Example:

"succeeded"

attempts
number
required

Number of delivery attempts made so far

Example:

1

maxAttempts
number
required

Maximum number of delivery attempts before giving up

Example:

5

createdAt
string<date-time>
required

ISO 8601 timestamp

Example:

"2026-01-15T09:30:00.000Z"

updatedAt
string<date-time>
required

ISO 8601 timestamp

Example:

"2026-01-15T09:30:00.000Z"

completedAt
string<date-time> | null
required

Timestamp when the delivery completed, null if still in progress

Example:

"2026-01-15T09:30:00.000Z"